Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class s2iRunStatus

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--s2iRunStatus

public class s2iRunStatus
extends javax.swing.JDialog

See Also:
  Serialized Form

Inner Class Summary
`(package private) class` | `s2iRunStatus.SymAction`
`(package private) class` | `s2iRunStatus.SymWindow`

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AWTTreeLock`

Field Summary
`(package private) boolean` | `fComponentsAdjusted`
`(package private) javax.swing.JButton` | `jClose`
`(package private) javax.swing.JButton` | `jSaveAs`
`(package private) javax.swing.JScrollPane` | `jScrollPane1`
`(package private) javax.swing.JPanel` | `jSouthPanel`
`(package private) javax.swing.JTextArea` | `jTextArea1`

Fields inherited from class javax.swing.JDialog
`accessibleContext, defaultCloseOperation, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`base, modal, nameCounter, resizable, serialVersionUID, title`

Fields inherited from class java.awt.Window
`active, base, focusMgr, inputContext, nameCounter, OPENED, ownedWindowList, serialVersionUID, state, warningString, weakThis, windowListener, windowSerializedDataVersion`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dispatcher, layoutMgr, maxSize, ncomponents, serialVersionUID`

Fields inherited from class java.awt.Component
`actionListenerK, adjustmentListenerK, appContext, assert, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, hasFocus, height, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, RIGHT_ALIGNMENT, serialVersionUID, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowListenerK, x, y`

Constructor Summary
`s2iRunStatus()`
`s2iRunStatus(java.lang.String sTitle)`

Method Summary
`void` | `addNotify()`
`(package private) void` | `addText(java.lang.String str)`
`(package private) void` | `clearText()`
`javax.swing.JTextArea` | `getTextArea()`
`(package private) void` | `jClose_actionPerformed(java.awt.event.ActionEvent event)`
`(package private) void` | `JDialog1_WindowClosing(java.awt.event.WindowEvent event)`
`(package private) void` | `jSaveAs_actionPerformed(java.awt.event.ActionEvent event)`
`static void` | `main(java.lang.String[] args)`
`void` | `setVisible(boolean b)`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, createRootPaneException, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processWindowEvent, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`, constructComponentName, getTitle, initIDs, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addOwnedWindow, addWindowListener, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, dispose, eventEnabled, finalize, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isActive, isShowing, nextFocus, ownedInit, pack, postEvent, postProcessKeyEvent, postWindowEvent, preProcessKeyEvent, processEvent, readObject, removeOwnedWindow, removeWindowListener, setFocusOwner, setWarningString, toBack, toFront, transferFocus, writeObject`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyOrientation, countComponents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPrint, list, list, locate, minimumSize, paint, paintComponents, postsOldMouseEvents, preferredSize, print, printComponents, printOneComponent, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### fComponentsAdjusted

    boolean fComponentsAdjusted

### jScrollPane1

    javax.swing.JScrollPane jScrollPane1

### jTextArea1

    javax.swing.JTextArea jTextArea1

### jSouthPanel

    javax.swing.JPanel jSouthPanel

### jClose

    javax.swing.JButton jClose

### jSaveAs

    javax.swing.JButton jSaveAs

Constructor Detail

### s2iRunStatus

    public s2iRunStatus()

### s2iRunStatus

    public s2iRunStatus(java.lang.String sTitle)

Method Detail

### setVisible

    public void setVisible(boolean b)

  Overrides:
    setVisible in class java.awt.Component

### main

    public static void main(java.lang.String[] args)

### addNotify

    public void addNotify()

  Overrides:
    addNotify in class java.awt.Dialog

### getTextArea

    public javax.swing.JTextArea getTextArea()

### JDialog1_WindowClosing

    void JDialog1_WindowClosing(java.awt.event.WindowEvent event)

### jClose_actionPerformed

    void jClose_actionPerformed(java.awt.event.ActionEvent event)

### jSaveAs_actionPerformed

    void jSaveAs_actionPerformed(java.awt.event.ActionEvent event)

### addText

    void addText(java.lang.String str)

### clearText

    void clearText()
             throws java.lang.IllegalArgumentException,
                    javax.swing.text.BadLocationException

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD